❖ MatchMove Banking API Specifications

Sections

Theme switcher

Get Corridors

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance corridor. Returned in the id field from GET /{program_code}/v2/users/wallet/payouts/remittances/corridors or GET /{program_code}/v2/oauth/payouts/remittances/utilities/corridors.

Response

200
Object

OK

Response Attributes

idstring

Unique id of corridor.

receiving_countrystring

Name of the receiving country.

receiving_country_codestring

Receiving country represented in iso 3166_alpha3

mobile_country_codestring

Mobile country code for receiving country.

user_typestring

Type of the user.

Enum values:
INDIVIDUALBUSINESS
recipient_typestring

Type of receiving country.

Enum values:
INDIVIDUALBUSINESS
institute_typestring

Represents the type of receiving institute supported by the corridor.

Enum values:
BANKMOBILE_WALLETCASH_PICKUPCARDS
currencystring

Description or name of the currency.

currency_codestring

Currency of corridor represented in three letter ISO 4217 Code.

currency_precisionstring

Precision of currency used for the corridor.

statusstring

Represents status of corridor.

Enum values:
ACTIVEUNDER_MAINTENANCEINACTIVE
ratesobject

Represents the fees and rates by platform to provider and provider to users.

limitsobject

represents the limits applied to a transaction.

permitted_purposesarray

Represents the purmitted purpose for a transaction which are allowed for a corridor.

201
Object

Created

Response Attributes

idstring

Unique id of corridor.

receiving_countrystring

Name of the receiving country.

receiving_country_codestring

Receiving country represented in iso 3166_alpha3

mobile_country_codestring

Mobile country code for receiving country.

user_typestring

Type of the user.

Enum values:
INDIVIDUALBUSINESS
recipient_typestring

Type of receiving country.

Enum values:
INDIVIDUALBUSINESS
institute_typestring

Represents the type of receiving institute supported by the corridor.

Enum values:
BANKMOBILE_WALLETCASH_PICKUPCARDS
currencystring

Description or name of the currency.

currency_codestring

Currency of corridor represented in three letter ISO 4217 Code.

currency_precisionstring

Precision of currency used for the corridor.

statusstring

Represents status of corridor.

Enum values:
ACTIVEUNDER_MAINTENANCEINACTIVE
ratesobject

Represents the fees and rates by platform to provider and provider to users.

limitsobject

represents the limits applied to a transaction.

permitted_purposesarray

Represents the purmitted purpose for a transaction which are allowed for a corridor.

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?